SELECT
  nvl(COUNT(*),0) cnt1,
  nvl(SUM(DECODE(a.err_msg, NULL, 1, 0)),0) cnt2,  /* 正常 */
  nvl(SUM(DECODE(a.err_msg, NULL, 0, DECODE(a.iflg, '1', 1, 0))),0) cnt3, /*ワーニング */
  nvl(SUM(DECODE(a.err_msg, NULL, 0, DECODE(a.iflg, '1', 0, 1))),0) cnt4 /* エラー */
FROM impcsv a
WHERE a.wseq = :wseq
ORDER BY a.idx
